summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorDominick Allen <djallen@librehumanitas.org>2024-10-23 13:21:10 -0500
committerDominick Allen <djallen@librehumanitas.org>2024-10-23 13:21:10 -0500
commit5cc7cbc3704ec255eb5d0ac53b2cc0fcb1221d63 (patch)
tree169d4d2d8dffe014851712e31a55036deb0c7c0c /tools
parentb2dbcb55e2832c373fecb4033a3ed77e5dbc77aa (diff)
String conversion and parsing format spec.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/coverage.sh1
-rwxr-xr-xtools/create-pyenv.sh1
-rwxr-xr-xtools/run-cppcheck.sh1
3 files changed, 3 insertions, 0 deletions
diff --git a/tools/coverage.sh b/tools/coverage.sh
index 95eef03..b41c66e 100755
--- a/tools/coverage.sh
+++ b/tools/coverage.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
PROJ_ROOT=$(git rev-parse --show-toplevel)
cd $PROJ_ROOT
diff --git a/tools/create-pyenv.sh b/tools/create-pyenv.sh
index 64b1fbf..2c6d9d0 100755
--- a/tools/create-pyenv.sh
+++ b/tools/create-pyenv.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
PROJ_ROOT=$(git rev-parse --show-toplevel)
cd $PROJ_ROOT
diff --git a/tools/run-cppcheck.sh b/tools/run-cppcheck.sh
index 1f8ee7d..315eff4 100755
--- a/tools/run-cppcheck.sh
+++ b/tools/run-cppcheck.sh
@@ -14,6 +14,7 @@
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
+set -e
PROJ_ROOT=$(git rev-parse --show-toplevel)
cd $PROJ_ROOT